ioctl VIDIOC_QUERYSTD
&manvol;

# VIDIOC_QUERYSTD

Sense the video standard received by the current input

    	int ioctl
    	int fd
    	int request
    	v4l2_std_id *argp

## Arguments

`fd`

  &fd;

`request`

  VIDIOC_QUERYSTD

`argp`

## Description

The hardware may be able to detect the current video standard automatically. To do so, applications call `VIDIOC_QUERYSTD` with a pointer to a &v4l2-std-id; type. The driver stores here a set of candidates, this can be a single flag or a set of supported standards if for example the hardware can only distinguish between 50 and 60 Hz systems. When detection is not possible or fails, the set must contain all standards supported by the current video input or output.

&return-value;